Package org.wso2.carbon.deployment.synchronizer.git.internal

## Class RepositoryInformationServiceClient

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.git.internal.RepositoryInformationServiceClient

-     public class RepositoryInformationServiceClient
      extends Object

  Client for ReposioryInformationService. Used to get the git repo URL for a given tenant Id and the cartridge type (short name)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryInformationServiceClient​(String epr)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getGitRepositoryUrl​(int tenantId, String cartridgeType)` | Retrieves the Git Repository URL for the tenant and cartridge type
    `org.wso2.carbon.adc.mgt.dao.xsd.RepositoryCredentials` | `getJsonRepositoryInformation​(int tenantId, String cartridgeType)` | Retrieves the repository url, username and password

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryInformationServiceClient

          public RepositoryInformationServiceClient​(String epr)
                                             throws org.apache.axis2.AxisFault

      Constructor
      Parameters:
        `epr` - end point reference for the RepositoryInformationServiceClient
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### getGitRepositoryUrl

          public String getGitRepositoryUrl​(int tenantId,
                                            String cartridgeType)
                                     throws RemoteException,
                                            org.wso2.carbon.adc.repository.information.RepositoryInformationServiceException

      Retrieves the Git Repository URL for the tenant and cartridge type
      Parameters:
        `tenantId` - id of the tenant
        `cartridgeType` - cartridge type tenant is subscribed to
      Returns:
        valid repository url if exists
      Throws:
        `Exception`
        `RemoteException`
        `org.wso2.carbon.adc.repository.information.RepositoryInformationServiceException`

    - #### getJsonRepositoryInformation

          public org.wso2.carbon.adc.mgt.dao.xsd.RepositoryCredentials getJsonRepositoryInformation​(int tenantId,
                                                                                                    String cartridgeType)
                                                                                             throws RemoteException,
                                                                                                    org.wso2.carbon.adc.repository.information.RepositoryInformationServiceException

      Retrieves the repository url, username and password
      Parameters:
        `tenantId` - id of the tenant
        `cartridgeType` - cartridge type tenant is subscribed to
      Returns:
        RepositoryCredentials
      Throws:
        `Exception`
        `RemoteException`
        `org.wso2.carbon.adc.repository.information.RepositoryInformationServiceException`